package com.crm.pay.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawVa5PayDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;


    private String ps;

    @JSONField(ordinal = 1)
    private String Wallet;
    @JSONField(ordinal = 20)
    private String Token;
    @JSONField(ordinal = 30)
    private BigDecimal WithdrawalAmount;
    @JSONField(ordinal = 40)
    private boolean ByReceivableAmount;
    @JSONField(ordinal = 50)
    private String WalletAddress;
    @JSONField(ordinal = 60)
    private String BeneficiaryName;
    @JSONField(ordinal = 70)
    private String BeneficiaryAccountNumber;
    @JSONField(ordinal = 80)
    private String BeneficiaryBank;
    @JSONField(ordinal = 90)
    private String BeneficiaryBankAddress;
    @JSONField(ordinal = 100)
    private String BeneficiaryBankCode;
    @JSONField(ordinal = 110)
    private String BeneficiaryBankSwiftCode;
    @JSONField(ordinal = 120)
    private String BeneficiaryEmail;
    @JSONField(ordinal = 130)
    private String BeneficiaryPhoneNumber;
    @JSONField(ordinal = 140)
    private String IFSC;


    private Map<String, String> banknameSelect;
    private Map<String, String> banknoSelect;


    public FinanceWithdrawVa5PayDto() {

        params = new LinkedHashMap<>();

        paramsEn = new LinkedHashMap<>();
        params.put("money", "金额");
        params.put("bankname", "银行名称");
        params.put("accountno", "银行卡号");
        params.put("accountname", "持卡人姓名");
        params.put("bankno", "银行编号");


        paramsEn.put("money", "money");
        paramsEn.put("bankname", "bank name");
        paramsEn.put("accountno", "account no");
        paramsEn.put("accountname", "account name");
        paramsEn.put("bankno", "bank no");
    }
}
